<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__timer__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_timer_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__timer__info__t_1a0f48deb9ffee581143a5c57c2beb3722" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_timer_info_t::timerHandle</definition>
        <argsstring />
        <name>timerHandle</name>
        <briefdescription>
<para>Handle of the started timer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="387" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="387" />
      </memberdef>
      <memberdef id="structcy__stc__ble__timer__info__t_1a7ad3d2bb388c7fb54c0bf6fdb50a2273" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_timer_info_t::timeout</definition>
        <argsstring />
        <name>timeout</name>
        <briefdescription>
<para>Timeout value for new timer. </para>        </briefdescription>
        <detaileddescription>
<para>If bit 7 is 1 then bits [6:0] specify a timeout in milliseconds, otherwise seconds. This makes the assumption that no one would call timeout of, say, 32000 seconds. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="394" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="394" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Timer parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="396" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="384" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="385" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__timer__info__t_1a7ad3d2bb388c7fb54c0bf6fdb50a2273" virt="non-virtual"><scope>cy_stc_ble_timer_info_t</scope><name>timeout</name></member>
      <member prot="public" refid="structcy__stc__ble__timer__info__t_1a0f48deb9ffee581143a5c57c2beb3722" virt="non-virtual"><scope>cy_stc_ble_timer_info_t</scope><name>timerHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>